OpenZWave Library: OpenZWave::ValueButton Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OpenZWave::ValueButton Class Reference
ValueID Support

Button value. More...

`#include <ValueButton.h>`

Inheritance diagram for OpenZWave::ValueButton:

## Public Member Functions
| ValueButton (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint16 const _index, string const &_label, uint8 const _pollIntensity)
| ValueButton ()
virtual | ~ValueButton ()
bool | PressButton ()
bool | ReleaseButton ()
virtual string const | GetAsString () const
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
bool | IsPressed () const
Public Member Functions inherited from OpenZWave::Value
| Value (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint16 const _index, ValueID::ValueType const _type, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, bool const _isset, uint8 const _pollIntensity)
| Value ()
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
ValueID const & | GetID () const
bool | IsReadOnly () const
bool | IsWriteOnly () const
bool | IsSet () const
bool | IsPolled () const
string const | GetLabel () const
void | SetLabel (string const &_label, string const lang="")
string const & | GetUnits () const
void | SetUnits (string const &_units)
string const | GetHelp () const
void | SetHelp (string const &_help, string const lang="")
uint8 const & | GetPollIntensity () const
void | SetPollIntensity (uint8 const &_intensity)
int32 | GetMin () const
int32 | GetMax () const
void | SetChangeVerified (bool _verify)
bool | GetChangeVerified ()
virtual string const | GetAsString () const
virtual bool | SetFromString (string const &)
bool | Set ()
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members
Static Public Member Functions inherited from OpenZWave::Value
static ValueID::ValueGenre | GetGenreEnumFromName (char const *_name)
static char const * | GetGenreNameFromEnum (ValueID::ValueGenre _genre)
static ValueID::ValueType | GetTypeEnumFromName (char const *_name)
static char const * | GetTypeNameFromEnum (ValueID::ValueType _type)
Protected Member Functions inherited from OpenZWave::Value
virtual | ~Value ()
bool | IsCheckingChange () const
void | SetCheckingChange (bool _check)
void | OnValueRefreshed ()
void | OnValueChanged ()
int | VerifyRefreshedValue (void *_originalValue, void *_checkValue, void *_newValue, ValueID::ValueType _type, int _originalValueLength=0, int _checkValueLength=0, int _newValueLength=0)
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()
Protected Attributes inherited from OpenZWave::Value
int32 | m_min
int32 | m_max
time_t | m_refreshTime
bool | m_verifyChanges
ValueID | m_id

## Detailed Description

Button value.

## Constructor & Destructor Documentation

## ◆ ValueButton() [1/2]

ValueButton::ValueButton | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | ValueID::ValueGenre const | _genre,
|  | uint8 const | _commandClassId,
|  | uint8 const | _instance,
|  | uint16 const | _index,
|  | string const & | _label,
|  | uint8 const | _pollIntensity
| ) |  |

## ◆ ValueButton() [2/2]

OpenZWave::ValueButton::ValueButton | ( |  | ) |
| inline

## ◆ ~ValueButton()

virtual OpenZWave::ValueButton::~ValueButton | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ GetAsString()

virtual string const OpenZWave::ValueButton::GetAsString | ( |  | ) | const
| inlinevirtual

Reimplemented from OpenZWave::Value.

## ◆ IsPressed()

bool OpenZWave::ValueButton::IsPressed | ( |  | ) | const
| inline

## ◆ PressButton()

bool ValueButton::PressButton | ( |  | ) |

## ◆ ReadXML()

void ValueButton::ReadXML | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _commandClassId,
|  | TiXmlElement const * | _valueElement
| ) |  |
| virtual

Reimplemented from OpenZWave::Value.

## ◆ ReleaseButton()

bool ValueButton::ReleaseButton | ( |  | ) |

## ◆ WriteXML()

void ValueButton::WriteXML | ( | TiXmlElement * | _valueElement | ) |
| virtual

Reimplemented from OpenZWave::Value.

The documentation for this class was generated from the following files:

- ValueButton.h
- ValueButton.cpp